# Interface IStackMapTableAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IStackMapTableAttribute extends IClassFileAttribute
This class represents a stack map table attribute. This interface may be implemented by clients.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumberOfEntries()`
Answer back the number of stack map frames of this atribute as specified in the JVM specifications.
`IStackMapFrame[]`
`getStackMapFrame()`
Answer back the stack map frames for this attribute as specified in the JVM specifications.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getNumberOfEntries

int getNumberOfEntries()
Answer back the number of stack map frames of this atribute as specified in the JVM specifications.

Returns:
  the number of stack map frames of this atribute as specified in the JVM specifications

### getStackMapFrame

IStackMapFrame[] getStackMapFrame()
Answer back the stack map frames for this attribute as specified in the JVM specifications.

Returns:
  the stack map frames for this attribute as specified in the JVM specifications